package com.sonic.frog.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sonic.frog.domain.entity.SignInStat;

/**
 * 签到统计数据表
 * @author zzhan
 */
public interface SignInStatService extends IService<SignInStat> {

    /**
     * 获取签到统计基础数据
     * @param currentUserId
     * @return
     */
    SignInStat get(Long currentUserId);

    /**
     * 初始化一条数据
     * @param currentUserId
     * @return
     */
    SignInStat init(Long currentUserId);

    /**
     * 更新起止天
     * @param id
     * @param startDay
     * @param endDay
     */
    void updateStartEndDayAndDays(Long id, String startDay, String endDay);

    /**
     * 更新月统计数据
     * @param id
     * @param days
     */
    void updateStat(Long id, Integer days);

}
